package com.xy.entity;

import com.xy.base.BaseEntity2;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 字典表
 * </p>
 *
 * @author lijin
 * @since 2022-12-09
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
public class SysDict extends BaseEntity2<SysDict> {

    private static final long serialVersionUID = 1L;

    /**
     * 父编码
     */
    private String paterCode;

    /**
     * 编码
     */
    private String code;

    /**
     * 编码值
     */
    private String value;

    /**
     * 编码说明
     */
    private String msg;

    /**
     * 状态
     */
    private Boolean status;

}
